<!--
{
  "availability" : [
    "App Store Server API: 1.22.0 -"
  ],
  "documentType" : "symbol",
  "framework" : "AppStoreServerAPI",
  "identifier" : "/documentation/AppStoreServerAPI/Get-Group-Members",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "App Store Server API"
    ],
    "preciseIdentifier" : "rest:app_store_server_api:get:groups-v1-group-{}"
  },
  "title" : "Get Group Members"
}
-->

# Get Group Members

Get a paginated list of the customers that belong to a group.

## Discussion

> Important:
> This endpoint is only available in the sandbox environment.

Call this endpoint to enumerate the customers that belong to a group. Get the `groupId` for a group by calling the [`Get Customer Groups`](/documentation/AppStoreServerAPI/Get-Customer-Groups) endpoint.

The response, [`GetGroupMembersResponse`](/documentation/AppStoreServerAPI/GetGroupMembersResponse), contains a [`GroupMemberEntry`](/documentation/AppStoreServerAPI/GroupMemberEntry) for each member. Each entry identifies the member by their [`appTransactionId`](/documentation/AppStoreServerAPI/appTransactionId).

Each response returns at most the number of members you request in the `limit` query parameter. If the [`hasMore`](/documentation/AppStoreServerAPI/hasMore) field in the response is `true`, more members are available: call the endpoint again with the [`paginationToken`](/documentation/AppStoreServerAPI/Get-Group-Members/paginationToken) from the previous response to get the next set.

The following request gets the first 50 members of a group:

```javascript
GET https://api.storekit-sandbox.apple.com/groups/v1/group/{groupId}?limit=50
```

Group membership is separate from any transaction information. To unlock content for a customer, read their transactions; don’t depend on this endpoint. For more information, see [`Get Customer Groups`](/documentation/AppStoreServerAPI/Get-Customer-Groups).

### Test in the sandbox environment

In the sandbox environment, this endpoint returns a placeholder response when you send the placeholder [`groupId`](/documentation/AppStoreServerAPI/Get-Group-Members/groupId) of `900000000000000000` that the [`Get Customer Groups`](/documentation/AppStoreServerAPI/Get-Customer-Groups) endpoint returns:

```json
{
  "members": [
    {
      "appTransactionId": "700000000000000000"
    }
  ],
  "hasMore": false
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)